summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-04-15 17:35:56 +0000
committer Eric Hameleers <alien@slackware.com>2018-04-15 17:35:56 +0000
commit177f80c6aa2dc897529bf38423d534e095d1bee5 (patch)
tree20a11249b845dba461533da0990a7888d427c101
parent56e73a0c8b288c1eb05f73c438ec4a2d4d2befa6 (diff)
downloadmultilib-177f80c6aa2dc897529bf38423d534e095d1bee5.tar.gz
multilib-177f80c6aa2dc897529bf38423d534e095d1bee5.tar.xz
glibc-multilib: sync to the new Slackware SlackBuild template
-rwxr-xr-xsource/current/glibc/glibc-multilib.SlackBuild23
1 files changed, 18 insertions, 5 deletions
diff --git a/source/current/glibc/glibc-multilib.SlackBuild b/source/current/glibc/glibc-multilib.SlackBuild
index 5b0cd17..b17602f 100755
--- a/source/current/glibc/glibc-multilib.SlackBuild
+++ b/source/current/glibc/glibc-multilib.SlackBuild
@@ -27,10 +27,12 @@
# Simplified to produce combined packages (no separate compat-32),
# by Eric Hameleers <alien@slackware.com>
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=glibc
VERSION=${VERSION:-2.27}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-1alien}
+BUILD=${BUILD:-2alien}
# I was considering disabling NSCD, but MoZes talked me out of it. :)
#DISABLE_NSCD=" --disable-nscd "
@@ -46,6 +48,17 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "glibc-${VERSION}_multilib-$ARCH-$BUILD.txz"
+ echo "glibc-i18n-${VERSION}_multilib-$ARCH-$BUILD.txz"
+ echo "glibc-profile-${VERSION}_multilib-$ARCH-$BUILD.txz"
+ echo "glibc-solibs-${VERSION}_multilib-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
# I'll break this out as an option for fun :-)
case $ARCH in
i386)
@@ -115,10 +128,8 @@ fi
# Be sure the correct version of the headers package is installed BEFORE
# building glibc!
-CWD=$(pwd)
-# Temporary build location. This should not be a directory
-# path a non-root user could create later...
-TMP=${TMP:-/glibc-tmp-$(mcookie)}
+# Temporary build location. It is safe to use /tmp now.
+TMP=${TMP:-/tmp}
mkdir -p $TMP
NUMJOBS=${NUMJOBS:--j4}
@@ -158,6 +169,8 @@ apply_patches() {
zcat $CWD/glibc.ru_RU.CP1251.diff.gz | patch -p1 --verbose || exit 1
# Add a C.UTF-8 locale:
zcat $CWD/glibc-c-utf8-locale.patch.gz | patch -p1 --verbose || exit 1
+ # Linux: use reserved name __key in pkey_get [BZ #22797]:
+ zcat $CWD/glibc.pkey_get.56170e0.diff.gz | patch -p1 --verbose || exit 1
if [ $BOOTSTRP -eq 1 ] ; then
# Multilib - Disable check for forced unwind (Patch from eglibc) since we
# do not have a multilib glibc yet to link to;